Bug 645389 - openssh-5.[3456]p1-gsskex.patch broken
openssh-5.[3456]p1-gsskex.patch broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Jan F. Chadima
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 646286 655023
  Show dependency treegraph
 
Reported: 2010-10-21 09:08 EDT by Mattias Ellert
Modified: 2010-11-19 06:36 EST (History)
3 users (show)

See Also:
Fixed In Version: openssh-5.5p1-22.fc14.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 646286 (view as bug list)
Environment:
Last Closed: 2010-10-28 18:14:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2010-10-21 09:08:27 EDT
Description of problem:
The openssh-5.[3456]p1-gsskex.patch says:

@@ -268,6 +321,10 @@ static char *authmethods_get(void);
 
 Authmethod authmethods[] = {
 #ifdef GSSAPI
+	{"gssapi-keyex",
+		userauth_gsskeyex,
+		&options.gss_authentication,
+		NULL},
 	{"gssapi-with-mic",
 		userauth_gssapi,
 		NULL,

However, there should be an additional NULL in the record:

@@ -268,6 +321,11 @@ static char *authmethods_get(void);
 
 Authmethod authmethods[] = {
 #ifdef GSSAPI
+	{"gssapi-keyex",
+		userauth_gsskeyex,
+ 		NULL,
+		&options.gss_authentication,
+		NULL},
 	{"gssapi-with-mic",
 		userauth_gssapi,
 		NULL,

Version-Release number of selected component (if applicable):

openssh-5.6p1-10.fc15
openssh-5.5p1-21.fc14.2
openssh-5.4p1-3.fc13
openssh-5.3p1-19.fc12

Additional info:

The koji buildlog says:

sshconnect2.c:326:3: warning: initialization from incompatible pointer type
Comment 1 Jan F. Chadima 2010-10-22 11:02:30 EDT
confirmed, repaired
Comment 2 Fedora Update System 2010-10-22 11:06:02 EDT
openssh-5.4p1-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/openssh-5.4p1-4.fc13
Comment 3 Fedora Update System 2010-10-22 11:07:00 EDT
openssh-5.5p1-22.fc14.2 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openssh-5.5p1-22.fc14.2
Comment 4 Fedora Update System 2010-10-27 18:39:14 EDT
openssh-5.4p1-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openssh'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/openssh-5.4p1-4.fc13
Comment 5 Fedora Update System 2010-10-28 18:14:51 EDT
openssh-5.4p1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-10-30 19:40:38 EDT
openssh-5.5p1-22.fc14.2 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.